Documentation
Toggle Dark/Light/Auto mode Toggle Dark/Light/Auto mode Toggle Dark/Light/Auto mode Back to homepage

HTTP Integration v2 API

Overview

HTTP Integration v2 API allows external systems to receive LoRaWAN device data and network events from Kona Core Network Server via HTTP callbacks.

This API enables real-time data forwarding from the Network Server to external applications using configurable HTTP endpoints.


Key Capabilities

  • Uplink message forwarding via HTTP
  • Event delivery to external systems
  • Configurable integration endpoints
  • Payload transformation support

Typical Use Cases

  • Cloud application integration
  • Data ingestion into external platforms
  • IoT backend connectivity via REST APIs

Create new HTTP_V2 integration using REST API:

Request example: POST https://lorawan-ns-na.tektelic.com/api/integration

POST Body structure:

{
    "name": "http_v2_5",
    "type": "HTTP_V2",
    "applicationId": {
        "entityType": "APPLICATION",
        "id": "1b55e180-3ab8-11ed-8eb6-dff2e846f817"
    },
    "converterId": {
        "entityType": "CONVERTER",
        "id": "3fdca870-2abb-11ed-a174-9b9b5d44a781"
    },
    "sendEmptyPayload": false,
    "allowAllPorts": true,
    "allowPortsArray": [],
    "httpEndpoint": "/api/v2/integration/http/",
    "configuration": {
        "host": "https://asdfasdfadsf.free.beeceptor.com",
        "basePath": "/",
        "port": 443,
        "enableHttps": true,
        "authMethod": "BASIC_AUTH",
        "username": "uu",
        "password": "pp",
        "headers": [
            {
                "key": "kk1",
                "value": "vv1"
            },
            {
                "key": "kk2",
                "value": "vv2"
            }
        ]
    }
}

Fields:

  • name
    Integration Name
    Possible values:
    String
    Example:
    "http_v2_integration_name"


  • type
    Integration Type
    HTTP_V2 has to be specified to use all features of HTTP_V2 Integration
    Example:
    "HTTP_V2"


  • applicationId
    Identifier of the Application Entity
    Example:
    "f2f3bef0-4c39-11ec-8bc3-61bf5466d195"


  • converterId
    Identifier of the Converter Entity.
    NOTE: converter_V2 must be used for HTTP_V2 Integration
    Example:
    "53be8400-3f0e-11ed-bea9-cd6f9aef98c7"


  • configuration.host
    URL with protocol part but without port
    Possible values:
    String
    Example:
    "https://asdfasdfadsf.free.beeceptor.com"


  • configuration.port
    Port of external HTTP server
    Possible values:
    int
    Example:
    443


  • configuration.basePath
    Possible values:
    String
    Example:
    "/"


  • configuration.authMethod
    Possible values:
    "NO_AUTH"
    "BASIC_AUTH"
    Example:
    "NO_AUTH"


  • "username"
    Username Possible values:
    String
    Required only if configuration.authMethod = "BASIC_AUTH"
    Example:
    "someUsername"


  • "password"
    Password
    Possible values:
    String
    Required only if configuration.authMethod = "BASIC_AUTH"
    Example:
    "somePassword"


  • configuration.enableHttps
    Possible values:
    boolean
    Example:
    true


  • configuration.headers
    Possible values:
    [{“headerKey”:“headerValue”}, {“headerKey”:“headerValue”}]
    Optional
    Example:
    [ { "key": "kk1", "value": "vv1" }, { "key": "kk2", "value": "vv2" } ]


  • configuration.clientPrivateKey
    Client’s Private Key in case MQTT broker uses certificate to establish a connection with Network Server (MQTT client)
    Possible values:
    String
    Optional
    API only


  • configuration.clientCertificate
    Client’s Certificate
    Possible values:
    String
    Optional
    API only


  • configuration.caCertificate
    Certificate which identifies Certificate Authority
    Possible values:
    String
    Optional
    API only